# Cities Skylines 2: Unified Icon Library

## IMPORTANT: MUST BE INSTALLED MANUALLY
**Do NOT use the Thunderstore mod manager or r2modman to install this mod!**
Only install this mod manually.  The Thunderstore mod manager, unfortunately, doesn't like mods like this and will mangle its format and make it not work.


## Description
This is a mod that provides several collections of icons matching the game's UI style for modders to use in their mods.   This means that modders don't have to waste time finding or re-creating icons, or manually loading them into the game's UI.

This doesn't do anything unless you have a mod that uses it, in which case it's required.

Planned future functionality includes seamless UI style changing.

## Requirements
- BepInEx 5

## Installation
1. Make sure that BepInEx 5 is installed.
2. Download this mod **manually** (**DO NOT USE THE THUNDERSTORE MOD MANAGER OR r2modman**)
3. Place the `UinfiedIconLibraryLite` folder in the archive in your BepInEx `Plugins` folder.

### Modders

All icons are automatically pre-injected into the game's UI and are accessible via coui://uil/\<StyleName\>/\<IconName\>.  For more details, see the GitHub page.

The initial styles are Standard, Dark, and Colored.  More will be added later.

To request new icons, contact Chameleon TBN on the [**Cities: Skylines modding Discord**](https://discord.gg/ZaH2zjtk).

## Support
It's usually easiest to contact me at the [**Cities: Skylines modding Discord**](https://discord.gg/ZaH2zjtk), or I'm also contactable as u/algernon_A on the [Cities: Skylines modding Subreddit](https://www.reddit.com/r/CitiesSkylinesModding) (r/CitiesSkylinesModding).  You could also raise an issue on the GitHub.

## Meta

When official modding support (finally!) releases, this mod will also be published on Paradox Mods.

### Source code
[Available on GitHub](https://github.com/algernon-A/UnifiedIconLibraryLite) (algernon-A/UnifiedIconLibraryLite).

As always, *never* trust a mod without publicly available source code!

>And still be cautious about mods that *do* make their source available, but at least those mods are off to a better start by already treating you - the user - with at least a modicum of respect.

### Disclaimers and legal
The only authorized distribution platforms for this mod, or mods based substantially on the code of this mod, are the GitHub repo linked above, this Thunderstore.io upload, and Paradox Mods (that's the *actual* Paradox Mods at mods.paradoxplaza.com, not the **scam and malware site paradoxmods.net** which is explicitly NOT licensed to distribute any of my work, or works derived from my work).  Any version or copy of this mod that you encounter elsewhere is most likely being used as a vector for malware and should be ignored.

Downloading, installation, and use of this mod is at your own risk.

>This mod is Copyright 2023 algernon (github.com/algernon-A).  All rights reserved.  To eliminate any doubt, explicit permission is hereby granted to download this mod for personal use and for Thunderstore.io to distribute it (<- I hope all this isn't actually necessary, but you never know these days).  Permission is explicitly NOT granted for further distribution or licensing (<- this bit so I can at least *try* to DMCA the malware-spreaders). If you think you've got a good use-case for an exception to any of this, contact me, let's talk!

>The icons themselves have additional encumbrances attached and are not to be distributed or used separately to this mod or other than for the purposes of creating mods for Cities Skylines 2 (which shouldn't surprise anybody who's actually *seen* the icons).

>THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

>Have a virtual jellybean if you actually read this far!